=== debian/changelog ===
python-moto (5.0.11-3) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * Fill Description

  [ Jochen Sprickerhof ]
  * Drop unused build dependency on python3-ruff
  * Fix lintian insecure-copyright-format-uri
  * Use debhelper-compat 13 and dh-sequence-python3
  * Add Rules-Requires-Root: no
  * Switch to declarative Testsuite: autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Nov 2024 10:31:41 +0100

python-moto (5.0.11-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2024 10:10:42 +0200

python-moto (5.0.11-1) unstable; urgency=medium

  * Initial release. (Closes: #777089)

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Aug 2024 04:42:10 +0200
