=== debian/control ===
Source: python-moto
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aws-xray-sdk,
 python3-boto3,
 python3-botocore,
 python3-build,
 python3-click,
 python3-cryptography,
 python3-dateutil,
 python3-docker,
 python3-flask,
 python3-flask-cors,
 python3-freezegun,
 python3-graphql-core,
 python3-inflection,
 python3-jinja2,
 python3-joserfc,
 python3-jsondiff,
 python3-jsonpath-ng,
 python3-lxml,
 python3-multipart,
 python3-mypy,
 python3-openapi-spec-validator,
 python3-packaging,
 python3-prompt-toolkit,
 python3-pyparsing,
 python3-pytest,
 python3-requests,
 python3-responses,
 python3-typing-extensions,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moto
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moto.git
Homepage: https://github.com/getmoto/moto
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-moto
Architecture: all
Depends:
 python3-antlr4,
 python3-boto3,
 python3-botocore,
 python3-cryptography,
 python3-dateutil,
 python3-flask,
 python3-jinja2,
 python3-requests,
 python3-responses,
 python3-werkzeug,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-aws-xray-sdk,
 python3-docker,
 python3-graphql-core,
 python3-joserfc,
 python3-jsondiff,
 python3-jsonpath-ng,
 python3-multipart,
 python3-openapi-spec-validator,
 python3-pyparsing,
 python3-yaml,
Description: Moto - Mock AWS Service - Python 3.x
 A library that allows you to easily mock out tests based on AWS infrastructure.
 .
 This package contains the Python 3.x module.
