=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/getmoto/moto.git
include /usr/share/openstack-pkg-tools/pkgos.make

# This is a first approach. Please contribute to fix these
# and remove all the ignores. Note that some are doing
# network access to AWS, so they can't be removed.
export PYBUILD_TEST_ARGS= --ignore tests/test_awslambda/test_lambda_eventsourcemapping.py \
			--ignore tests/test_awslambda/test_lambda_invoke.py \
			--ignore tests/test_batch/test_batch_jobs.py \
			--ignore tests/test_cloudformation/* \
			--ignore tests/test_dynamodb/test_dynamodb_import_table.py \
			--ignore tests/test_dynamodb/test_dynamodb_statements.py \
			--ignore tests/test_s3/test_s3_select.py \
			--ignore tests/test_s3/test_s3_lambda_integration.py \
			--ignore tests/test_cloudformation/test_validate.py \
			-k 'not test_create_custom_lambda_resource__verify_cfnresponse_failed and not test_lambda_function and not test_boto3_json_validate_successful and not test_boto3_json_with_tabs_validate_successful and not test_boto3_json_invalid_missing_resource and not test_boto3_yaml_validate_successful and not test_boto3_yaml_validate_template_url_successful and not test_boto3_yaml_invalid_missing_resource'

%:
	dh $@ --buildsystem=pybuild
