=== debian/changelog ===
python-moto (5.1.1-4) unstable; urgency=medium

  * Add patch to make the package reproducible, thanks to Chris Lamb
    (Closes: #1100977).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 16:23:22 +0100

python-moto (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore tests/test_route53domains/test_route53domains_domain.py on i386,
    since even collecting its tests involves constructing a timestamp after
    2038.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 10:35:11 +0000

python-moto (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Reorganize test exclusions and enable as many tests as possible.
  * test_cognitoidp: Load jwks-public.json using load_resource.
  * Remove unnecessary build-dependency on python3-ruff, which isn't in
    testing.
  * Merge 5.0.11-3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2025 13:03:19 +0000

python-moto (5.1.1-1) unstable; urgency=medium

  * New upstream release:
    - fixes smart-open FTBFS (Closes: #1095392).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 13:39:04 +0100
