=== debian/control ===
--- 
+++ 
@@ -35,6 +35,8 @@
  python3-openapi-spec-validator,
  python3-packaging,
  python3-prompt-toolkit,
+ python3-pycognito,
+ python3-pyotp,
  python3-pyparsing,
  python3-pytest,
  python3-requests,
