=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

UPSTREAM_GIT := https://github.com/getmoto/moto.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy :=
export https_proxy :=
export PYBUILD_TEST_ARGS := -m 'not network and not requires_docker' tests
export PYBUILD_AFTER_TEST := rm -fv {build_dir}/moto_recording

# Requires unpackaged cfnlint.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_cloudformation/test_validate.py
# Requires unpackaged py_partiql_parser.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_dynamodb/test_dynamodb_import_table.py \
	--deselect tests/test_dynamodb/test_dynamodb_statements.py \
	--deselect tests/test_s3/test_s3_select.py \
# Requires python3-antlr4 (>= 4.10).
PYBUILD_TEST_ARGS += \
	--deselect tests/test_stepfunctions/parser/ \
	--deselect 'tests/test_stepfunctions/test_stepfunctions_versions.py::test_describe_state_machine_using_version_arn[use_parser]'
# Requires python3-botocore (>= 1.37.0).
PYBUILD_TEST_ARGS += \
	--deselect tests/test_dynamodb/test_dynamodb_account_mode.py::test_dynamodb_with_account_id_routing
# Tries to look up names in the global DNS.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_specific_url \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_wildcard_urls \
	--deselect tests/test_firehose/test_firehose_put.py::test_put_record_http_destination \
	--deselect tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
# Tries to look up <something>.localhost names in DNS, which doesn't work in
# sbuild/unshare.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header \
	--deselect tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
ifeq ($(DEB_HOST_ARCH),i386)
# Debian's i386 port doesn't support timestamps after 2038.
PYBUILD_TEST_ARGS += \
	--ignore tests/test_route53domains/test_route53domains_domain.py
endif

%:
	dh $@ --buildsystem=pybuild
