## python-moto 5.1.18

=== debian/changelog ===
python-moto (5.1.18-3) unstable; urgency=medium

  * Team upload.
  * Skip two more tests on i386 that involve post-2038 timestamps.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Dec 2025 09:59:36 +0000

python-moto (5.1.18-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-botocore (>= 1.39.11), to fix autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Dec 2025 10:59:37 +0000

python-moto (5.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable another dynamodb test now that we have a new enough
    python3-botocore.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Dec 2025 10:37:26 +0000
