=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  python3-aws-xray-sdk,
  python3-boto3,
- python3-botocore,
+ python3-botocore (>= 1.39.11),
  python3-build,
  python3-click,
  python3-cryptography,
