=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,9 @@
 	--deselect tests/test_s3/test_s3_select.py \
 # Requires python3-antlr4 (>= 4.10).
 PYBUILD_TEST_ARGS += \
+	--deselect 'tests/test_events/test_events_sfn_integration.py::test_create_bucket_invokes_stepfunction[Mocked]' \
 	--deselect tests/test_stepfunctions/parser/ \
 	--deselect 'tests/test_stepfunctions/test_stepfunctions_versions.py::test_describe_state_machine_using_version_arn[use_parser]'
-# Requires python3-botocore (>= 1.37.0).
-PYBUILD_TEST_ARGS += \
-	--deselect tests/test_dynamodb/test_dynamodb_account_mode.py::test_dynamodb_with_account_id_routing
 # Tries to look up names in the global DNS.
 PYBUILD_TEST_ARGS += \
 	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service \
@@ -40,7 +38,15 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 # Debian's i386 port doesn't support timestamps after 2038.
 PYBUILD_TEST_ARGS += \
+	--deselect tests/test_acm/test_acm.py::test_list_certificates_with_key_types_filter \
+	--deselect tests/test_acm/test_acm.py::test_certificate_expiration_status \
 	--ignore tests/test_route53domains/test_route53domains_domain.py
+endif
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+# Relies on resource not copied into test directory.
+PYBUILD_TEST_ARGS += \
+	--deselect tests/test_ssm/test_ssm_patch_group.py::test_get_patch_baseline_for_patch_group_default \
+	--deselect tests/test_ssm/test_ssm_patch_group.py::test_deregister_patch_baseline_for_patch_group_default
 endif
 
 %:
